PayloadFormat(3)

NAME
PayloadFormat -

Base payload format class.

SYNOPSIS

#include <formats.h>

Inherited by DynamicPayloadFormat, and StaticPayloadFormat.

  Public Member Functions
PayloadType getPayloadType () const
Get payload type numeric identifier carried in RTP packets.
uint32 getRTPClockRate () const
Get RTP clock rate for this payload format.

  Protected Member Functions
PayloadFormat ()
PayloadFormat must not be used but as base class.
virtual ~PayloadFormat ()
PayloadFormat must not be used but as base class.
void setPayloadType (PayloadType pt)
Set payload type numeric identifier carried in RTP packets.
void setRTPClockRate (uint32 rate)
Set RTP clock rate.

  Static Protected Attributes
static const uint32 defaultRTPClockRate

Detailed Description

Base payload format class. The properties of a payload format that, as an RTP stack, ccRTP takes into account are the payload type (numeric identifier) and the RTP clock rate.

This is a base class for both StaticPayloadFormat and DynamicPayloadFormat.

Author:
    Federico Montesino Pouzols <fedemp@altern.org>

Constructor & Destructor Documentation

  PayloadFormat::PayloadFormat () [inline, protected]

PayloadFormat must not be used but as base class.

  virtual PayloadFormat::~PayloadFormat () [inline, protected, virtual]

PayloadFormat must not be used but as base class.

Member Function Documentation

  PayloadType PayloadFormat::getPayloadType () const [inline]

Get payload type numeric identifier carried in RTP packets. Returns:
    payload type numeric identifier.

  uint32 PayloadFormat::getRTPClockRate () const [inline]

Get RTP clock rate for this payload format. Note this method provides the RTP clock rate (for the timestamp in RTP data packets headers), which is not necessarily the same as the codec clock rate.

Returns:
    RTP clock rate in Hz.

  void PayloadFormat::setPayloadType (PayloadType pt) [inline, protected]

Set payload type numeric identifier carried in RTP packets. Parameters:
    pt payload type number.

  void PayloadFormat::setRTPClockRate (uint32 rate) [inline, protected]

Set RTP clock rate. Parameters:
    rate RTP clock rate in Hz.

Member Data Documentation

  const uint32 PayloadFormat::defaultRTPClockRate [static, protected]

Author

Generated automatically by Doxygen for ccRTP from the source code.